You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@doris.apache.org by mo...@apache.org on 2023/04/16 13:58:41 UTC

[doris] branch branch-1.2-lts updated (ca78c132d4 -> 346b0b05ac)

This is an automated email from the ASF dual-hosted git repository.

morningman pushed a change to branch branch-1.2-lts
in repository https://gitbox.apache.org/repos/asf/doris.git


    from ca78c132d4 [fix](info_db) avoid infodb query timeout when external catalog info is too large or is not reachable (#18662)
     new 858b0c6e8d [fix](executor)Fix scanner's _max_thread_num may == 0 #18465
     new 346b0b05ac [improvement](release) add release download scripts (#18703)

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 .gitignore                                         |  1 -
 be/src/vec/exec/scan/scanner_context.cpp           |  2 +
 dist/README                                        |  6 +-
 .../download_scripts/1.2.3/download_arm_apache.sh  | 43 ++++-------
 .../1.2.3/download_arm_tsinghua.sh                 | 43 ++++-------
 .../download_scripts/1.2.3/download_x64_apache.sh  | 43 ++++-------
 .../1.2.3/download_x64_noavx2_apache.sh            | 43 ++++-------
 .../1.2.3/download_x64_noavx2_tsinghua.sh          | 43 ++++-------
 .../1.2.3/download_x64_tsinghua.sh                 | 43 ++++-------
 .../build.sh => dist/download_scripts/README       | 24 +++---
 dist/download_scripts/download_base.sh             | 88 ++++++++++++++++++++++
 11 files changed, 196 insertions(+), 183 deletions(-)
 copy fs_brokers/apache_hdfs_broker/bin/stop_broker.sh => dist/download_scripts/1.2.3/download_arm_apache.sh (57%)
 copy fs_brokers/apache_hdfs_broker/bin/stop_broker.sh => dist/download_scripts/1.2.3/download_arm_tsinghua.sh (57%)
 copy fs_brokers/apache_hdfs_broker/bin/stop_broker.sh => dist/download_scripts/1.2.3/download_x64_apache.sh (57%)
 copy fs_brokers/apache_hdfs_broker/bin/stop_broker.sh => dist/download_scripts/1.2.3/download_x64_noavx2_apache.sh (57%)
 copy fs_brokers/apache_hdfs_broker/bin/stop_broker.sh => dist/download_scripts/1.2.3/download_x64_noavx2_tsinghua.sh (56%)
 copy fs_brokers/apache_hdfs_broker/bin/stop_broker.sh => dist/download_scripts/1.2.3/download_x64_tsinghua.sh (56%)
 copy fe_plugins/auditloader/build.sh => dist/download_scripts/README (50%)
 mode change 100755 => 100644
 create mode 100755 dist/download_scripts/download_base.sh


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@doris.apache.org
For additional commands, e-mail: commits-help@doris.apache.org


[doris] 02/02: [improvement](release) add release download scripts (#18703)

Posted by mo...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

morningman pushed a commit to branch branch-1.2-lts
in repository https://gitbox.apache.org/repos/asf/doris.git

commit 346b0b05ac4db29df58e17384cafc1b6267adaa9
Author: Mingyu Chen <mo...@163.com>
AuthorDate: Sun Apr 16 16:49:59 2023 +0800

    [improvement](release) add release download scripts (#18703)
    
    For now, there are 3 packages for the release binaries of Doris: https://doris.apache.org/download
    And user may be confused about how to download and deploy these packages.
    
    So I provide a download script for each release, and user can simply download the script and run it, like:
    
    ```
    > sh download_x64_apache.sh
    
    Begin to download FE from "https://mirrors.tuna.tsinghua.edu.cn/apache/doris/1.2/1.2.3-rc02/apache-doris-fe-1.2.3-bin-x86_64.tar.xz" to "apache-doris-1.2.3-bin/" ...
    Total size: 408078012 Bytes
    #################################################### 100.0%
    Begin to download BE from "https://mirrors.tuna.tsinghua.edu.cn/apache/doris/1.2/1.2.3-rc02/apache-doris-be-1.2.3-bin-x86_64.tar.xz" to "apache-doris-1.2.3-bin/" ...
    Total size: 606211324 Bytes
    #################################################### 100.0%
    Begin to download DEPS from "https://mirrors.tuna.tsinghua.edu.cn/apache/doris/1.2/1.2.3-rc02/apache-doris-dependencies-1.2.3-bin-x86_64.tar.xz" to "apache-doris-1.2.3-bin/" ...
    Total size: 253869148 Bytes
    #################################################### 100.0%
    Begin to assemble the binaries ...
    Move java-udf-jar-with-dependencies.jar to be/lib/ ...
    Download complete!
    You can now deploy Apache Doris from apache-doris-1.2.3-bin/
    ```
    
    The script will do the rest.
    
    This script will later be published on the Download page of Apache Doris website, so that user can easily get
    it and use it.
    
    Currently only for Linux platform. Other platform is untested.
---
 .gitignore                                         |  1 -
 dist/README                                        |  6 +-
 .../1.2.3/download_arm_apache.sh}                  | 24 +++---
 .../1.2.3/download_arm_tsinghua.sh}                | 24 +++---
 .../1.2.3/download_x64_apache.sh}                  | 24 +++---
 .../1.2.3/download_x64_noavx2_apache.sh}           | 24 +++---
 .../1.2.3/download_x64_noavx2_tsinghua.sh}         | 24 +++---
 .../1.2.3/download_x64_tsinghua.sh}                | 24 +++---
 dist/{ => download_scripts}/README                 | 20 +++--
 dist/download_scripts/download_base.sh             | 88 ++++++++++++++++++++++
 10 files changed, 196 insertions(+), 63 deletions(-)

diff --git a/.gitignore b/.gitignore
index 054baaef07..2e1dc4d9af 100644
--- a/.gitignore
+++ b/.gitignore
@@ -26,7 +26,6 @@ package-lock.json
 **/build/
 **/target/
 **/node_modules/
-**/dist/
 **/log/
 
 # ignore project file
diff --git a/dist/README b/dist/README
index 5317d6264c..243a2c81e8 100644
--- a/dist/README
+++ b/dist/README
@@ -25,6 +25,10 @@ This directory is used to organize the list of third-party dependent licenses re
 
     This directory holds the license files related to third-party dependencies.
 
-2. `tools`
+2. `tools/`
 
     This directory stores tools related to license organization.
+
+3. `download_scripts/`
+
+    This directory stores scripts for downloading release binaries.
diff --git a/dist/README b/dist/download_scripts/1.2.3/download_arm_apache.sh
old mode 100644
new mode 100755
similarity index 54%
copy from dist/README
copy to dist/download_scripts/1.2.3/download_arm_apache.sh
index 5317d6264c..541e4d5cd4
--- a/dist/README
+++ b/dist/download_scripts/1.2.3/download_arm_apache.sh
@@ -1,3 +1,4 @@
+#!/usr/bin/env bash
 # Licensed to the Apache Software Foundation (ASF) under one
 # or more contributor license agreements.  See the NOTICE file
 # distributed with this work for additional information
@@ -15,16 +16,21 @@
 # specific language governing permissions and limitations
 # under the License.
 
-This directory is used to organize the list of third-party dependent licenses required by the binary release.
+set -eo pipefail
 
-1. `LICENSE-dist.txt`
+FE="apache-doris-fe-1.2.3-bin-arm"
+BE="apache-doris-be-1.2.3-bin-arm"
+DEPS="apache-doris-dependencies-1.2.3-bin-arm"
+DOWNLOAD_LINK_PREFIX="https://dlcdn.apache.org/doris/1.2/1.2.3-rc02/"
+DOWNLOAD_DIR="apache-doris-1.2.3-bin"
 
-    This file holds a list of all the licenses for third-party dependencies
+# Check and download download_base.sh
+DOWNLOAD_BASE_SCRIPTS="download_base.sh"
 
-2. `licenses/`
+if [[ ! -f "${DOWNLOAD_BASE_SCRIPTS}" ]]; then
+    curl -O https://raw.githubusercontent.com/apache/doris/master/dist/download_scripts/download_base.sh &&
+        chmod a+x "${DOWNLOAD_BASE_SCRIPTS}"
+fi
 
-    This directory holds the license files related to third-party dependencies.
-
-2. `tools`
-
-    This directory stores tools related to license organization.
+# Begin to download
+./"${DOWNLOAD_BASE_SCRIPTS}" "${FE}" "${BE}" "${DEPS}" "${DOWNLOAD_LINK_PREFIX}" "${DOWNLOAD_DIR}"
diff --git a/dist/README b/dist/download_scripts/1.2.3/download_arm_tsinghua.sh
old mode 100644
new mode 100755
similarity index 53%
copy from dist/README
copy to dist/download_scripts/1.2.3/download_arm_tsinghua.sh
index 5317d6264c..61008a7954
--- a/dist/README
+++ b/dist/download_scripts/1.2.3/download_arm_tsinghua.sh
@@ -1,3 +1,4 @@
+#!/usr/bin/env bash
 # Licensed to the Apache Software Foundation (ASF) under one
 # or more contributor license agreements.  See the NOTICE file
 # distributed with this work for additional information
@@ -15,16 +16,21 @@
 # specific language governing permissions and limitations
 # under the License.
 
-This directory is used to organize the list of third-party dependent licenses required by the binary release.
+set -eo pipefail
 
-1. `LICENSE-dist.txt`
+FE="apache-doris-fe-1.2.3-bin-arm"
+BE="apache-doris-be-1.2.3-bin-arm"
+DEPS="apache-doris-dependencies-1.2.3-bin-arm"
+DOWNLOAD_LINK_PREFIX="https://mirrors.tuna.tsinghua.edu.cn/apache/doris/1.2/1.2.3-rc02/"
+DOWNLOAD_DIR="apache-doris-1.2.3-bin"
 
-    This file holds a list of all the licenses for third-party dependencies
+# Check and download download_base.sh
+DOWNLOAD_BASE_SCRIPTS="download_base.sh"
 
-2. `licenses/`
+if [[ ! -f "${DOWNLOAD_BASE_SCRIPTS}" ]]; then
+    curl -O https://raw.githubusercontent.com/apache/doris/master/dist/download_scripts/download_base.sh &&
+        chmod a+x "${DOWNLOAD_BASE_SCRIPTS}"
+fi
 
-    This directory holds the license files related to third-party dependencies.
-
-2. `tools`
-
-    This directory stores tools related to license organization.
+# Begin to download
+./"${DOWNLOAD_BASE_SCRIPTS}" "${FE}" "${BE}" "${DEPS}" "${DOWNLOAD_LINK_PREFIX}" "${DOWNLOAD_DIR}"
diff --git a/dist/README b/dist/download_scripts/1.2.3/download_x64_apache.sh
old mode 100644
new mode 100755
similarity index 54%
copy from dist/README
copy to dist/download_scripts/1.2.3/download_x64_apache.sh
index 5317d6264c..257b21af30
--- a/dist/README
+++ b/dist/download_scripts/1.2.3/download_x64_apache.sh
@@ -1,3 +1,4 @@
+#!/usr/bin/env bash
 # Licensed to the Apache Software Foundation (ASF) under one
 # or more contributor license agreements.  See the NOTICE file
 # distributed with this work for additional information
@@ -15,16 +16,21 @@
 # specific language governing permissions and limitations
 # under the License.
 
-This directory is used to organize the list of third-party dependent licenses required by the binary release.
+set -eo pipefail
 
-1. `LICENSE-dist.txt`
+FE="apache-doris-fe-1.2.3-bin-x86_64"
+BE="apache-doris-be-1.2.3-bin-x86_64"
+DEPS="apache-doris-dependencies-1.2.3-bin-x86_64"
+DOWNLOAD_LINK_PREFIX="https://dlcdn.apache.org/doris/1.2/1.2.3-rc02/"
+DOWNLOAD_DIR="apache-doris-1.2.3-bin"
 
-    This file holds a list of all the licenses for third-party dependencies
+# Check and download download_base.sh
+DOWNLOAD_BASE_SCRIPTS="download_base.sh"
 
-2. `licenses/`
+if [[ ! -f "${DOWNLOAD_BASE_SCRIPTS}" ]]; then
+    curl -O https://raw.githubusercontent.com/apache/doris/master/dist/download_scripts/download_base.sh &&
+        chmod a+x "${DOWNLOAD_BASE_SCRIPTS}"
+fi
 
-    This directory holds the license files related to third-party dependencies.
-
-2. `tools`
-
-    This directory stores tools related to license organization.
+# Begin to download
+./"${DOWNLOAD_BASE_SCRIPTS}" "${FE}" "${BE}" "${DEPS}" "${DOWNLOAD_LINK_PREFIX}" "${DOWNLOAD_DIR}"
diff --git a/dist/README b/dist/download_scripts/1.2.3/download_x64_noavx2_apache.sh
old mode 100644
new mode 100755
similarity index 53%
copy from dist/README
copy to dist/download_scripts/1.2.3/download_x64_noavx2_apache.sh
index 5317d6264c..ff58a3a005
--- a/dist/README
+++ b/dist/download_scripts/1.2.3/download_x64_noavx2_apache.sh
@@ -1,3 +1,4 @@
+#!/usr/bin/env bash
 # Licensed to the Apache Software Foundation (ASF) under one
 # or more contributor license agreements.  See the NOTICE file
 # distributed with this work for additional information
@@ -15,16 +16,21 @@
 # specific language governing permissions and limitations
 # under the License.
 
-This directory is used to organize the list of third-party dependent licenses required by the binary release.
+set -eo pipefail
 
-1. `LICENSE-dist.txt`
+FE="apache-doris-fe-1.2.3-bin-x86_64"
+BE="apache-doris-be-1.2.3-bin-x86_64-noavx2"
+DEPS="apache-doris-dependencies-1.2.3-bin-x86_64"
+DOWNLOAD_LINK_PREFIX="https://dlcdn.apache.org/doris/1.2/1.2.3-rc02/"
+DOWNLOAD_DIR="apache-doris-1.2.3-bin"
 
-    This file holds a list of all the licenses for third-party dependencies
+# Check and download download_base.sh
+DOWNLOAD_BASE_SCRIPTS="download_base.sh"
 
-2. `licenses/`
+if [[ ! -f "${DOWNLOAD_BASE_SCRIPTS}" ]]; then
+    curl -O https://raw.githubusercontent.com/apache/doris/master/dist/download_scripts/download_base.sh &&
+        chmod a+x "${DOWNLOAD_BASE_SCRIPTS}"
+fi
 
-    This directory holds the license files related to third-party dependencies.
-
-2. `tools`
-
-    This directory stores tools related to license organization.
+# Begin to download
+./"${DOWNLOAD_BASE_SCRIPTS}" "${FE}" "${BE}" "${DEPS}" "${DOWNLOAD_LINK_PREFIX}" "${DOWNLOAD_DIR}"
diff --git a/dist/README b/dist/download_scripts/1.2.3/download_x64_noavx2_tsinghua.sh
old mode 100644
new mode 100755
similarity index 53%
copy from dist/README
copy to dist/download_scripts/1.2.3/download_x64_noavx2_tsinghua.sh
index 5317d6264c..7dfc4e306c
--- a/dist/README
+++ b/dist/download_scripts/1.2.3/download_x64_noavx2_tsinghua.sh
@@ -1,3 +1,4 @@
+#!/usr/bin/env bash
 # Licensed to the Apache Software Foundation (ASF) under one
 # or more contributor license agreements.  See the NOTICE file
 # distributed with this work for additional information
@@ -15,16 +16,21 @@
 # specific language governing permissions and limitations
 # under the License.
 
-This directory is used to organize the list of third-party dependent licenses required by the binary release.
+set -eo pipefail
 
-1. `LICENSE-dist.txt`
+FE="apache-doris-fe-1.2.3-bin-x86_64"
+BE="apache-doris-be-1.2.3-bin-x86_64-noavx2"
+DEPS="apache-doris-dependencies-1.2.3-bin-x86_64"
+DOWNLOAD_LINK_PREFIX="https://mirrors.tuna.tsinghua.edu.cn/apache/doris/1.2/1.2.3-rc02/"
+DOWNLOAD_DIR="apache-doris-1.2.3-bin"
 
-    This file holds a list of all the licenses for third-party dependencies
+# Check and download download_base.sh
+DOWNLOAD_BASE_SCRIPTS="download_base.sh"
 
-2. `licenses/`
+if [[ ! -f "${DOWNLOAD_BASE_SCRIPTS}" ]]; then
+    curl -O https://raw.githubusercontent.com/apache/doris/master/dist/download_scripts/download_base.sh &&
+        chmod a+x "${DOWNLOAD_BASE_SCRIPTS}"
+fi
 
-    This directory holds the license files related to third-party dependencies.
-
-2. `tools`
-
-    This directory stores tools related to license organization.
+# Begin to download
+./"${DOWNLOAD_BASE_SCRIPTS}" "${FE}" "${BE}" "${DEPS}" "${DOWNLOAD_LINK_PREFIX}" "${DOWNLOAD_DIR}"
diff --git a/dist/README b/dist/download_scripts/1.2.3/download_x64_tsinghua.sh
old mode 100644
new mode 100755
similarity index 53%
copy from dist/README
copy to dist/download_scripts/1.2.3/download_x64_tsinghua.sh
index 5317d6264c..240fc020fe
--- a/dist/README
+++ b/dist/download_scripts/1.2.3/download_x64_tsinghua.sh
@@ -1,3 +1,4 @@
+#!/usr/bin/env bash
 # Licensed to the Apache Software Foundation (ASF) under one
 # or more contributor license agreements.  See the NOTICE file
 # distributed with this work for additional information
@@ -15,16 +16,21 @@
 # specific language governing permissions and limitations
 # under the License.
 
-This directory is used to organize the list of third-party dependent licenses required by the binary release.
+set -eo pipefail
 
-1. `LICENSE-dist.txt`
+FE="apache-doris-fe-1.2.3-bin-x86_64"
+BE="apache-doris-be-1.2.3-bin-x86_64"
+DEPS="apache-doris-dependencies-1.2.3-bin-x86_64"
+DOWNLOAD_LINK_PREFIX="https://mirrors.tuna.tsinghua.edu.cn/apache/doris/1.2/1.2.3-rc02/"
+DOWNLOAD_DIR="apache-doris-1.2.3-bin"
 
-    This file holds a list of all the licenses for third-party dependencies
+# Check and download download_base.sh
+DOWNLOAD_BASE_SCRIPTS="download_base.sh"
 
-2. `licenses/`
+if [[ ! -f "${DOWNLOAD_BASE_SCRIPTS}" ]]; then
+    curl -O https://raw.githubusercontent.com/apache/doris/master/dist/download_scripts/download_base.sh &&
+        chmod a+x "${DOWNLOAD_BASE_SCRIPTS}"
+fi
 
-    This directory holds the license files related to third-party dependencies.
-
-2. `tools`
-
-    This directory stores tools related to license organization.
+# Begin to download
+./"${DOWNLOAD_BASE_SCRIPTS}" "${FE}" "${BE}" "${DEPS}" "${DOWNLOAD_LINK_PREFIX}" "${DOWNLOAD_DIR}"
diff --git a/dist/README b/dist/download_scripts/README
similarity index 50%
copy from dist/README
copy to dist/download_scripts/README
index 5317d6264c..77cf673790 100644
--- a/dist/README
+++ b/dist/download_scripts/README
@@ -15,16 +15,22 @@
 # specific language governing permissions and limitations
 # under the License.
 
-This directory is used to organize the list of third-party dependent licenses required by the binary release.
+This download scripts are used to download release bianries of Apache Doris.
 
-1. `LICENSE-dist.txt`
+The offical release bianries of Apache Doris has 3 packages for FE, BE and dependencies.
 
-    This file holds a list of all the licenses for third-party dependencies
+These scripts help download all packages of sepcified release, and do some reorgnization to make the package deploy ready.
 
-2. `licenses/`
+- `download_bash.sh`
 
-    This directory holds the license files related to third-party dependencies.
+    This is the base script. It receive parameter of which release to download to do the rest.
 
-2. `tools`
+- Subdirectories
 
-    This directory stores tools related to license organization.
+    Each subdirectory is for a certain release, for 1.2.3, as an example:
+
+    It will provide serveral scripts for different platform and different CPU type.
+
+    For each new release, the release manager should create a new subdirectory here for that release,
+
+    and prepare the download scirpts, which contains the pacakges that need to be downloaded.
diff --git a/dist/download_scripts/download_base.sh b/dist/download_scripts/download_base.sh
new file mode 100755
index 0000000000..72a4017639
--- /dev/null
+++ b/dist/download_scripts/download_base.sh
@@ -0,0 +1,88 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+###############################################################################
+# This script is used to download Apache Doris release binaries
+# This is the base script of all download scripts.
+# For certain release, it should create a script and wrap
+# this script, eg:
+# sh download_1.2.3.sh                                                      \
+#       apache-doris-fe-1.2.3-bin-x86_64                                    \
+#       apache-doris-be-1.2.3-bin-x86_64                                    \
+#       apache-doris-dependencies-1.2.3-bin-x86_64                          \
+#       https://mirrors.tuna.tsinghua.edu.cn/apache/doris/1.2/1.2.3-rc02/   \
+#       apache-doris-1.2.3-bin
+###############################################################################
+
+set -eo pipefail
+
+FE="$1"
+BE="$2"
+DEPS="$3"
+DOWNLOAD_LINK_PREFIX="$4"
+DOWNLOAD_DIR="$5"
+FILE_SUFFIX=".tar.xz"
+
+# Check if curl cmd exists
+if [[ -n $(which curl >/dev/null 2>&1) ]]; then
+    echo "curl command not found on the system"
+    exit 1
+fi
+
+# Check download dir
+if [[ -f "${DOWNLOAD_DIR}" || -d "${DOWNLOAD_DIR}" ]]; then
+    read -r -p "Download dir ${DOWNLOAD_DIR} already exists. Overwrite? [y/n] " resp
+    if [[ "${resp}" = "y" || "${resp}" = "Y" ]]; then
+        rm -rf "${DOWNLOAD_DIR}"
+        echo "Origin ${DOWNLOAD_DIR} has been removed and created a new one".
+    else
+        echo "Please remove the ${DOWNLOAD_DIR} before downloading."
+        exit 0
+    fi
+fi
+
+mkdir "${DOWNLOAD_DIR}"
+
+# Begin to download
+FE_LINK="${DOWNLOAD_LINK_PREFIX}${FE}${FILE_SUFFIX}"
+BE_LINK="${DOWNLOAD_LINK_PREFIX}${BE}${FILE_SUFFIX}"
+DEPS_LINK="${DOWNLOAD_LINK_PREFIX}${DEPS}${FILE_SUFFIX}"
+
+download() {
+    MODULE="$1"
+    LINK="$2"
+    DIR="$3"
+    echo "Begin to download ${MODULE} from \"${LINK}\" to \"${DIR}/\" ..."
+    total_size=$(curl -sI "${LINK}" | grep -i Content-Length | awk '{print $2}' | tr -d '\r')
+    echo "Total size: ${total_size} Bytes"
+    echo "curl -# ${LINK} | tar xJ -C ${DIR}/"
+    curl -# "${LINK}" | tar xJ -C "${DIR}/"
+}
+
+download "FE" "${FE_LINK}" "${DOWNLOAD_DIR}"
+download "BE" "${BE_LINK}" "${DOWNLOAD_DIR}"
+download "DEPS" "${DEPS_LINK}" "${DOWNLOAD_DIR}"
+
+# Assemble
+echo "Begin to assemble the binaries ..."
+
+echo "Move java-udf-jar-with-dependencies.jar to be/lib/ ..."
+mv "${DOWNLOAD_DIR}/${DEPS}/java-udf-jar-with-dependencies.jar" "${DOWNLOAD_DIR}/${BE}/lib"
+
+echo "Download complete!"
+echo "You can now deploy Apache Doris from ${DOWNLOAD_DIR}/"


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@doris.apache.org
For additional commands, e-mail: commits-help@doris.apache.org


[doris] 01/02: [fix](executor)Fix scanner's _max_thread_num may == 0 #18465

Posted by mo...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

morningman pushed a commit to branch branch-1.2-lts
in repository https://gitbox.apache.org/repos/asf/doris.git

commit 858b0c6e8d170f5892892d14aab44bbf30afdc04
Author: wangbo <wa...@apache.org>
AuthorDate: Sun Apr 16 18:17:18 2023 +0800

    [fix](executor)Fix scanner's _max_thread_num may == 0 #18465
---
 be/src/vec/exec/scan/scanner_context.cpp | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/be/src/vec/exec/scan/scanner_context.cpp b/be/src/vec/exec/scan/scanner_context.cpp
index 7f6cd847bb..952007532e 100644
--- a/be/src/vec/exec/scan/scanner_context.cpp
+++ b/be/src/vec/exec/scan/scanner_context.cpp
@@ -34,6 +34,8 @@ Status ScannerContext::init() {
     // should find a more reasonable value.
     _max_thread_num =
             std::min(config::doris_scanner_thread_pool_thread_num / 4, (int32_t)_scanners.size());
+    _max_thread_num = _max_thread_num == 0 ? 1 : _max_thread_num;
+    DCHECK(_max_thread_num > 0);
 
     // 2. Calculate how many blocks need to be preallocated.
     // The calculation logic is as follows:


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@doris.apache.org
For additional commands, e-mail: commits-help@doris.apache.org